Get Knowledge Base Version
curl --request GET \
--url https://api.example.com/knowledge-bases/:id/version-control/:versionIdimport requests
url = "https://api.example.com/knowledge-bases/:id/version-control/:versionId"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/knowledge-bases/:id/version-control/:versionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Knowledge Bases
Get Knowledge Base Version
Returns a snapshot of a specific version of the knowledge base.
GET
/
knowledge-bases
/
:id
/
version-control
/
:versionId
Get Knowledge Base Version
Endpoint
GET https://gateway.orkeia.ai/knowledge-bases/{id}/version-control/{versionId}
AuthenticationRequires header
authorization: <your_token>.
Path Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
| id | string | Yes | Identifier of the knowledge base. | KB_123456 |
| versionId | string | Yes | Identifier/slug of the version to be retrieved. | v1.0.1 |
Example (cURL)
curl -X GET "https://gateway.orkeia.ai/knowledge-bases/KB_123456/version-control/v1.0.1" \
-H "authorization: <your_token>"
Responses
Response - Success
response
{
"status": "OK",
"data": {
"id": "KB_123456",
"snapshot": {
"name": "Internal Policies",
"description": "Official corporate documents",
"enabled": true,
"sectors": ["hr", "legal"],
"content": "https://storage.orkeia.ai/kb/policies.pdf",
"type": "file",
"multimodal": false,
"tags": ["compliance", "contracts"]
},
"versionId": "v1.0.1",
"createdAt": "2024-07-10T09:30:00Z"
}
}
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
⌘I
